> For the complete documentation index, see [llms.txt](https://docs.pay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pay.io/api-reference/user-payment-api/create-a-deposit-address.md).

# Create a Deposit Address

## Get deposit address

> This API endpoint generates or retrieves a unique deposit address for a specific user and currency. The returned address can be used by the user to send funds from personal wallets into the merchant platform.

```json
{"openapi":"3.0.0","info":{"title":"pay.io payment gateway","version":"1.0"},"servers":[{"url":"https://gateway.stage.pay.io","variables":{}}],"paths":{"/v1/user/deposit/address":{"post":{"callbacks":{},"description":"This API endpoint generates or retrieves a unique deposit address for a specific user and currency. The returned address can be used by the user to send funds from personal wallets into the merchant platform.","operationId":"HubwalletPaymentGatewayWeb.Controller.Merchant.Default.deposit","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit_Request"}}},"description":"Deposit request parameters","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deposit_Response"}}},"description":"Deposit address generated"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Validation_Error_Response"}}},"description":"Validation error - Invalid currency_id format (must be valid UUID), user_reference_id contains invalid characters (only alphanumeric, hyphens, and underscores allowed), or user_reference_id exceeds 50 character limit"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error_Response"}}},"description":"Unexpected error occurred"}},"summary":"Get deposit address","tags":["user"]}}},"components":{"schemas":{"Deposit_Request":{"description":"Request to get deposit address","properties":{"currency_id":{"description":"Currency ID, which can be retrieved using supported currencies.","type":"string"},"user_reference_id":{"description":"The unique user reference to identify a user for transaction tracking","type":"string"}},"required":["currency_id","user_reference_id"],"title":"Deposit_Request","type":"object"},"Deposit_Response":{"description":"Response containing deposit address information","properties":{"currency":{"description":"Currency name","type":"string"},"currency_code":{"description":"Currency code","type":"string"},"network":{"description":"Blockchain network","type":"string"},"wallet_address":{"description":"Deposit wallet address","type":"string"}},"required":["network","currency","currency_code","wallet_address"],"title":"Deposit_Response","type":"object"},"Validation_Error_Response":{"description":"Validation error response format","properties":{"error":{"description":"Error message","type":"string"},"errors":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Field-specific validation errors","type":"object"}},"required":["error","errors"],"title":"Validation_Error_Response","type":"object"},"Error_Response":{"description":"Error response format","properties":{"error":{"description":"Error flag, always true","type":"boolean"},"message":{"description":"Error message describing what went wrong","type":"string"},"request_id":{"description":"Request correlation ID for tracking and debugging","type":"string"},"status":{"description":"Transaction status when a transaction was created before the error (e.g. `\"failed\"` for a withdrawal that was submitted but failed)","nullable":true,"type":"string"},"transaction_uuid":{"description":"Database transaction UUID (only present when a transaction exists)","format":"uuid","nullable":true,"type":"string"}},"required":["error","message","request_id"],"title":"Error_Response","type":"object"}}}}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pay.io/api-reference/user-payment-api/create-a-deposit-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
